Subject: Re: [v6ops] I-D Action: draft-palet-v6ops-p2p-links-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 11 Mar 2018 08:44:08 +1300

Hi Jordi,

This is useful, I think. A couple of quick comments:

I think you should refer to RFC7608, "IPv6 Prefix Length Recommendation for Forwarding", BCP 198, which makes it clear that *any* prefix length is valid.

Also split the references into Informational and Normative. For example RFC3627 is definitely not normative!

About ULAs:
1) link-locals in ICMP message are equally bad and are sometimes seen in the wild. That should be mentioned, I think.
2) isn't it OK to use a ULA (or link-local) on a particular link if and only if you program the router to use a GUA in ICMP messages? In other words the rule is not: don't use ULA or link-local. It's actually: do give the router at least one GUA and use that GUA in ICMP messages.

Regards
   Brian

On 06/03/2018 07:02, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : IPv6 Point-to-Point Links
>         Author          : Jordi Palet Martinez
> 	Filename        : draft-palet-v6ops-p2p-links-00.txt
> 	Pages           : 10
> 	Date            : 2018-03-05
> 
> Abstract:
>    This document describes different alternatives for configuring IPv6
>    point-to-point links, considering the prefix size, numbering choices
>    and prefix pool to be used.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-palet-v6ops-p2p-links/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-palet-v6ops-p2p-links-00
> https://datatracker.ietf.org/doc/html/draft-palet-v6ops-p2p-links-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Ole Troan <[email-masked]>
Date: Sat, 10 Mar 2018 22:32:28 +0100

> 2) isn't it OK to use a ULA (or link-local) on a particular link if and only if you program the router to use a GUA in ICMP messages? In other words the rule is not: don't use ULA or link-local. It…

That's not the rule. The rule is stated in RFC4443, section 2.2.

Ole

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 11 Mar 2018 12:01:29 +1300

> That's not the rule. The rule is stated in RFC4443, section 2.2.

Thanks. It would be good to add a reference. The operative phrase in 4443
seems to be this: "However, it MAY be selected in an alternative way if this
would lead to a more informative choice of address reachable from the
destination of the ICMPv6 packet." What I think the current draft should
do is specify how to apply that option, if the RFC4443 rule leads to
using a link-local source.

This isn't exactly a new discussion:
https://www.ietf.org/mail-archive/web/ipv6/current/msg13393.html
The issue is mentioned in RFC7404 section 2.1.

RFC7404 asserts this:
"[RFC6724] recommends that IPv6 addresses that are greater than link-
 local scope be used as the source IPv6 address for all generated
 ICMPv6 messages sent to a non-link-local address, with the exception
 of ICMPv6 redirect messages."
I can't find any such statement in RFC6724.
 
    Brian

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sun, 11 Mar 2018 10:22:16 +0100

Hi Brian, Ole,

Thanks a lot for your inputs, very useful. I'm already editing a v-01 and will incorporate them.

Regarding Ole suggestions, I think this text can fix it:

3.2. ULA (Unique Local Addresses)

   Some networks use ULAs for numbering the point-to-point links.  This
   approach may cause numerous problems and therefore is strongly
   discouraged.  For example, if the CE needs to send an ICMPv6 message
   to a host outside that network (to the Internet), the packet with ULA
   source address will not get thru and PMTUD will break, which in turn
   will completely break that IPv6 connection when the MTU is not the
   same for all the path.

   However, this approach is valid if, following section 2.2 of RFC4443, 
   and despite using ULA for the point-to-point link, the router is 
   configured with at least one GUA and the source of the ICMPv6 
   message is always a GUA.

I'm going to use also a similar text for the unnumbered (link-local) section 3.3.

What do you think?

Saludos,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de Brian E Carpenter <[email-masked]>
Fecha: domingo, 11 de marzo de 2018, 0:02
Para: Ole Troan <[email-masked]>
CC: JORDI PALET MARTINEZ <[email-masked]>, IPv6 Operations <[email-masked]>
Asunto: Re: [v6ops] I-D Action: draft-palet-v6ops-p2p-links-00.txt

    
    
    RFC7404 asserts this:
     
        Brian

    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.